Module ij
Package ij.io

# Class ImageWriter

java.lang.Object
ij.io.ImageWriter

public class ImageWriter extends Object
Writes a raw image described by a FileInfo object to an OutputStream.

## Constructor Summary

Constructors
Constructor
Description
`ImageWriter(FileInfo fi)`

## Method Summary

Modifier and Type
Method
Description
`void`
`write(OutputStream out)`
Writes the image to the specified OutputStream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImageWriter

public ImageWriter(FileInfo fi)

## Method Details

### write

public void write(OutputStream out) throws IOException
Writes the image to the specified OutputStream. The OutputStream is not closed. The fi.pixels field must contain the image data. If fi.nImages>1 then fi.pixels must be a 2D array, for example an array of images returned by ImageStack.getImageArray()). The fi.offset field is ignored.

Throws:
  `IOException`